Bug 828674 - Unwanted keyboard layout change
Unwanted keyboard layout change
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-skk (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 03:38 EDT by Masatake YAMATO
Modified: 2012-06-15 08:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-15 08:26:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Masatake YAMATO 2012-06-05 03:38:23 EDT
Description of problem:

I'm using a note PC with English(us) keyboard layout.
When I turn on ibus-skk, the layout is also switched to Japanese.

Version-Release number of selected component (if applicable):

1.4.1-1.fc17.

How reproducible:




Steps to Reproduce:
1. Turn on ibus-skk on PC with English(us) keyboard layout.
2. Type a key on which '(' is printed.
3. 
  
Actual results:

You will see ')' is input.

Expected results:

 '(' is input as typed.

Additional info:
Comment 1 Fedora Update System 2012-06-05 05:06:43 EDT
ibus-skk-1.4.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-skk-1.4.1-2.fc17
Comment 2 Masatake YAMATO 2012-06-06 08:34:47 EDT
I've tested the new version. It works as expected. Thank you.
Comment 3 Fedora Update System 2012-06-06 22:43:17 EDT
Package ibus-skk-1.4.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-skk-1.4.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8945/ibus-skk-1.4.1-2.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-15 08:26:28 EDT
ibus-skk-1.4.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.